# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'global_shared_db/version'

Gem::Specification.new do |spec|
  spec.name          = "global_shared_db"
  spec.version       = GlobalSharedDb::VERSION
  spec.authors       = ["kaiying.zhang"]
  spec.email         = ["kaiying.zhang@liulishuo.com"]

  spec.summary       = %q{some shared data.}
  spec.description   = %q{some shared data.}
  spec.homepage      = ""
  spec.license       = "MIT"


  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "byebug"

  spec.add_development_dependency "mysql2", "~> 0.3.20"
  spec.add_development_dependency "database_cleaner"
  spec.add_development_dependency "factory_bot"

  spec.add_dependency "activerecord", '>= 4.0.0'
  spec.add_dependency "activesupport", '>= 4.0.0'
  spec.add_dependency "mine_setting", '>= 0.0.1'
  spec.add_dependency "multi_json", '>= 1.11.2'
  spec.add_dependency "globalize", '~> 0.1.0'
end
